#include <stdio.h>

int main()
    {
        long int ukupno=0, ulaz, ostatak, x, c;
        scanf("%li", &ulaz);
        while (ulaz!=0)
            {
                ostatak=ulaz%10;
                if (ostatak>4) x=5; else x=2;
                c=0;
                while ((ostatak-x)>=0)
                    {
                        ostatak-=x;
                        c++;
                    }
                ukupno+=c;
                if (ostatak!=0) ukupno++;
                ulaz/=10;
            }
        printf("%li", ukupno);
    }